CVE-2019-7146

2019-01-29T00:00:00
ID UB:CVE-2019-7146
Type ubuntucve
Reporter ubuntu.com
Modified 2019-01-29T00:00:00

Description

In elfutils 0.175, there is a buffer over-read in the ebl_object_note function in eblobjnote.c in libebl. Remote attackers could leverage this vulnerability to cause a denial-of-service via a crafted elf file, as demonstrated by eu-readelf.

Bugs

  • <https://sourceware.org/bugzilla/show_bug.cgi?id=24075>
  • <https://sourceware.org/bugzilla/show_bug.cgi?id=24081>

Notes

Author| Note
---|---
mdeslaur | vulnerable code introduced in 0.175